Subject: Re: bug#22214: 25.0.50; lock up with gui dialogs and clipmon-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Dec 2015 19:50:59 +0200

> From: Joseph Mingrone <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 21 Dec 2015 12:41:47 -0400
> 
> Thread 3 (Thread 1902400 (LWP 100743)):
> #0  0x0000000807444cfa in _sigprocmask () from /lib/libc.so.7
> #1  0x0000000804656526 in pthread_sigmask () from /lib/libthr.so.3
> #2  0x00000000007ab8e9 in block_atimers (oldset=0x7fffffff7970) at atimer.c:70
> #3  0x00000000007abffc in do_pending_atimers () at atimer.c:434
> #4  0x00000000005f803e in process_pending_signals () at keyboard.c:7043
> #5  0x00000000006c1559 in Fmake_list (length=0, init=0) at alloc.c:2718
> #6  0x0000000000713c2a in concat (nargs=1, args=0x7fffffff7b28, target_type=Lisp_Cons, last_special=false) at fns.c:633
> #7  0x00000000007135d2 in Fcopy_sequence (arg=18186131) at fns.c:501
> #8  0x00000000005f25b3 in timer_check () at keyboard.c:4452

Thanks.

Can you find out which thread uses up the CPU?  If that's this thread
(the Emacs application main thread), can you use the technique
described in etc/DEBUG under "If the symptom of the bug is that Emacs
fails to respond" to find out whether Emacs is looping and where?